/* Logit global */
char program[256];
/* Logit global */

/*
 *  Scanlogd Global structs (BEGIN)
 */

#define SCAN_COUNT_THRESHOLD            10
#define LIST_SIZE                       0x400
#define HASH_LOG                        11
#define HASH_SIZE                       (1 << HASH_LOG)

struct host {
        struct host *next;              /* Next entry with the same hash */
        clock_t timestamp;              /* Last update time */
        time_t start;                   /* Entry creation time */
        struct in_addr saddr, daddr;    /* Source and destination addresses */
        unsigned short sport;           /* Source port, if fixed */
        int count;                      /* Number of ports in the list */
        unsigned short ports[SCAN_COUNT_THRESHOLD - 1]; /* List of ports */
        unsigned char flags_or;         /* TCP flags OR mask */ 
        unsigned char flags_and;        /* TCP flags AND mask */
        unsigned char ttl;              /* TTL, if fixed */
};

/*
 * State information.
 */
struct {
        struct host list[LIST_SIZE];    /* List of source addresses */
        struct host *hash[HASH_SIZE];   /* Hash: pointers into the list */
        int index;                      /* Oldest entry to be replaced */
} state;  

/*
 * Scanlog Global structs (END)
 */
 
